#### Previous topic

scipy.special.sph_in

#### Next topic

scipy.special.sph_inkn

# scipy.special.sph_kn

`scipy.special.``sph_kn`(n, z)

  Compute spherical Bessel function kn(z) and derivative.

  This function computes the value and first derivative of kn(z) for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of kn to compute

  z : complex

  > Argument at which to evaluate

  Returns:

  kn : ndarray

  > Value of k0(z), ..., kn(z)

  knp : ndarray

  > First derivative k0’(z), ..., kn’(z)

  References

  [R356] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 8. http://jin.ece.illinois.edu/specfunc.html